Skip to main content
PATCH
/
v1
/
chatbots
/
chatbot
/
{chatbotId}
/
human-support-settings
Update Human Support Settings
curl --request PATCH \
  --url https://interhemispheric-unwet-paulene.ngrok-free.dev/api/v1/chatbots/chatbot/{chatbotId}/human-support-settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "enableHumanSupport": true,
  "replaceAllOtherSuggestionsWithEscalationButtons": true,
  "positiveFeedbackPrompt": "<string>",
  "requestHumanSupportPrompt": "<string>",
  "humanSupportConfirmationMessage": "<string>",
  "leadNotification": true,
  "leadNotificationEmail": [
    "<string>"
  ],
  "showEscalationButtonsAfterResponses": true
}
'
{
  "success": true,
  "message": "Human support settings updated successfully",
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "chatbotId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "enableHumanSupport": false,
    "replaceAllOtherSuggestionsWithEscalationButtons": false,
    "positiveFeedbackPrompt": "<string>",
    "requestHumanSupportPrompt": "<string>",
    "humanSupportConfirmationMessage": "<string>",
    "leadNotification": false,
    "leadNotificationEmail": [
      "<string>"
    ],
    "showEscalationButtonsAfterResponses": true,
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

chatbotId
string
required

Body

application/json

All fields are optional. Only provided fields are applied. Fields id, accountId, chatbotId, and createdAt are ignored if sent.

enableHumanSupport
boolean
replaceAllOtherSuggestionsWithEscalationButtons
boolean
positiveFeedbackPrompt
string
requestHumanSupportPrompt
string
humanSupportConfirmationMessage
string
leadNotification
boolean
leadNotificationEmail
string[]
showEscalationButtonsAfterResponses
boolean

Response

Updated

success
boolean
Example:

true

message
string
Example:

"Human support settings updated successfully"

data
object